﻿using UnityEngine;
using System.Collections;

public class CharacterControl : MonoBehaviour {
	Animator animator;
	void Start () {
		animator = GetComponent<Animator> ();
	}
	
	void Update () {
		float runAxis = Input.GetAxis ("Run");
		float forwardAxis = Input.GetAxis ("Vertical");
		animator.SetFloat ("forward", forwardAxis * (1.0f + runAxis));
		float sideAxis = Input.GetAxis ("Horizontal");
		animator.SetFloat ("side", sideAxis * (1.0f + runAxis));

		float mouseX = Input.GetAxis ("Mouse X");
		transform.Rotate(new Vector3(0,mouseX,0));

		if (Input.GetKeyDown (KeyCode.Space))
			animator.SetTrigger ("JumpTriggered");
		else if (Input.GetKeyDown ("q") || Input.GetMouseButtonDown(0)) {
			animator.SetInteger ("AttackType", 0);
			animator.SetTrigger ("AttackTriggered");
		} else if (Input.GetKeyDown ("e") || Input.GetMouseButtonDown(1)) {
			animator.SetInteger ("AttackType", 1);
			animator.SetTrigger ("AttackTriggered");
		} else if (Input.GetKeyDown ("x")) {
			Die ();
		}
	}

	void Die()
	{
		animator.enabled = !animator.enabled;
		Rigidbody ownBody = GetComponent<Rigidbody>();
		Rigidbody[] ragdollBodies;
		ragdollBodies = GetComponentsInChildren<Rigidbody> ();
		foreach (Rigidbody body in ragdollBodies) {
			if(body != ownBody)
				body.isKinematic = animator.enabled;
		}
	}
}
